"use strict";
var ProjectCommandParameter = (function () {
    function ProjectCommandParameter($errors, $projectNameValidator) {
        this.$errors = $errors;
        this.$projectNameValidator = $projectNameValidator;
        this.mandatory = true;
    }
    ProjectCommandParameter.prototype.validate = function (value) {
        var _this = this;
        return (function () {
            if (!value) {
                _this.$errors.fail("You must specify <App name> when creating a new project.");
            }

            return _this.$projectNameValidator.validate(value);
        }).future()();
    };
    return ProjectCommandParameter;
})();
exports.ProjectCommandParameter = ProjectCommandParameter;

var CreateProjectCommand = (function () {
    function CreateProjectCommand($projectService, $errors, $projectNameValidator) {
        this.$projectService = $projectService;
        this.$errors = $errors;
        this.$projectNameValidator = $projectNameValidator;
        this.enableHooks = false;
        this.allowedParameters = [new ProjectCommandParameter(this.$errors, this.$projectNameValidator)];
    }
    CreateProjectCommand.prototype.execute = function (args) {
        var _this = this;
        return (function () {
            _this.$projectService.createProject(args[0]).wait();
        }).future()();
    };
    return CreateProjectCommand;
})();
exports.CreateProjectCommand = CreateProjectCommand;
$injector.registerCommand("create", CreateProjectCommand);
