var ListDevicesCommand = (function () {
    function ListDevicesCommand($devicesServices, $logger, $stringParameter) {
        this.$devicesServices = $devicesServices;
        this.$logger = $logger;
        this.$stringParameter = $stringParameter;
        this.allowedParameters = [this.$stringParameter];
    }
    ListDevicesCommand.prototype.execute = function (args) {
        var _this = this;
        return (function () {
            var index = 1;
            _this.$devicesServices.initialize(args[0], null, { skipInferPlatform: true }).wait();

            var action = function (device) {
                return (function () {
                    _this.$logger.out("#%d: '%s'", (index++).toString(), device.getDisplayName(), device.getPlatform(), device.getIdentifier());
                }).future()();
            };
            _this.$devicesServices.execute(action, undefined, { allowNoDevices: true }).wait();
        }).future()();
    };
    return ListDevicesCommand;
})();
exports.ListDevicesCommand = ListDevicesCommand;
$injector.registerCommand("list-devices", ListDevicesCommand);
