"use strict";
var path = require("path");
var osenv = require("osenv");
var yargs = require("yargs");

var knownOpts = {
    "log": String,
    "verbose": Boolean,
    "path": String,
    "version": Boolean,
    "help": Boolean,
    "json": Boolean,
    "watch": Boolean,
    "avd": String,
    "profile-dir": String,
    "profileDir": String,
    "timeout": String
}, shorthands = {
    "v": "verbose",
    "p": "path"
}, parsed = yargs.argv;

exports.setProfileDir = function (profileDir) {
    var defaultProfileDir = path.join(osenv.home(), profileDir);
    var selectedProfileDir = parsed["profile-dir"] || parsed["profileDir"] || defaultProfileDir;

    parsed["profile-dir"] = selectedProfileDir;
    parsed["profileDir"] = selectedProfileDir;

    exports["profile-dir"] = selectedProfileDir;
    exports["profileDir"] = selectedProfileDir;
};

exports.knownOpts = knownOpts;
exports.shorthands = shorthands;

Object.keys(parsed).forEach(function (opt) {
    if (typeof (parsed[opt]) === "number") {
        exports[opt] = parsed[opt].toString();
    } else {
        exports[opt] = parsed[opt];
    }
});

module.exports = exports;
