var helpers = require("./common/helpers");
var commonOptions = require("./common/options");

var knownOpts = {
    "frameworkPath": String,
    "copy-from": String,
    "link-to": String,
    "release": Boolean,
    "device": Boolean,
    "emulator": Boolean,
    "keyStorePath": String,
    "keyStorePassword": String,
    "keyStoreAlias": String,
    "keyStoreAliasPassword": String
}, shorthands = {};

_.extend(knownOpts, commonOptions.knownOpts);
_.extend(shorthands, commonOptions.shorthands);

commonOptions.setProfileDir(".nativescript-cli");
var parsed = helpers.getParsedOptions(knownOpts, shorthands);

Object.keys(parsed).forEach(function (opt) {
    return exports[opt] = parsed[opt];
});
exports.knownOpts = knownOpts;

module.exports = exports;
